### Hierarchy

- Subscription
  - InteractionSubscription

## Index

### Constructors

- constructor

### Properties

- behaviourBind
- callback
- header
- mqttSensorQueue
- type

### Methods

- bind
- getTopic
- onMessage
- publish
- unsubscribe

## Constructors

### constructor

- new Subscription(type: ConversationQueueType, header: QueueHeader, callback: QueueCallback, mqttSensorQueue: MqttSensorQueue): Subscription

- - Defined in lib/connection/Subscription.ts:10

  #### Parameters

  - ##### type: ConversationQueueType

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  - ##### mqttSensorQueue: MqttSensorQueue

  #### Returns Subscription

## Properties

### behaviourBind

behaviourBind: Array<IBehaviour> = []

- Defined in lib/connection/Subscription.ts:10

### callback

callback: QueueCallback

- Defined in lib/connection/Subscription.ts:8

### header

header: QueueHeader

- Defined in lib/connection/Subscription.ts:7

### mqttSensorQueue

mqttSensorQueue: MqttSensorQueue

- Defined in lib/connection/Subscription.ts:9

### type

type: ConversationQueueType

- Defined in lib/connection/Subscription.ts:6

## Methods

### bind

- bind(behaviour: IBehaviour): void

- - Defined in lib/connection/Subscription.ts:43

  #### Parameters

  - ##### behaviour: IBehaviour

  #### Returns void

### getTopic

- getTopic(): string

- - Defined in lib/connection/Subscription.ts:53

  #### Returns string

### onMessage

- onMessage(message: object): void

- - Defined in lib/connection/Subscription.ts:49

  #### Parameters

  - ##### message: object

  #### Returns void

### publish

- publish(payload: IEventPayload): void

- - Defined in lib/connection/Subscription.ts:34

  #### Parameters

  - ##### payload: IEventPayload

  #### Returns void

### unsubscribe

- unsubscribe(): void

- - Defined in lib/connection/Subscription.ts:24

  #### Returns void

Generated using TypeDoc